<!DOCTYPE html>
<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">
  <head>
    <meta charset="utf-8" />
<link rel="canonical" href="http://default/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" />
<meta name="description" content="CodeSniffer es un script de PHP5 que analiza código PHP para detectar violaciones de un conjunto definido de normas de codificación. Analiza el código fuente para ver si cumple o no con un estándar, ya sea Zend, Pear o uno personalizado.
Junta de Andalucía

 

CodeSniffer es una herramienta muy sencilla de usar y con uan instalación muy simple que permitirá mantener los estándares de codificación de nuestros proyectos.
La inslatación es muy sencillo, lo primero comprobamos que tengamos instalado CodeSniffer 


phpcs -i

Tiene que devolver algo parecido a esta salidad, no exactamente la misma ya que yo ya tengo instalada los estándares de Drupal:


The installed coding standards are Zend, PSR1, PSR12, Squiz, PEAR, MySource, PSR2, Drupal, DrupalPractice and VariableAnalysis


Si no tenemos instalado CodeSniffer lo instalamos:


composer require --dev drupal/core-dev

Y comprobamos que ahora si tengamos instalado el CodeSniffer.

 

Una vez instalado tenemos que instalar los estándares de código de Drupal:


composer require --dev dealerdirect/phpcodesniffer-composer-installer

 

Y ya tendríamos instalado lo básico que usar esta herramienta.

Para usar el analizador de CodeSniffer lo ejecutamos de la siguiente manera:


phpcs --standard=Drupal --extensions=php,module web/modules/contrib/


 

Con esta orden o nos indica que esta todo bien o nos devolverá un informe como el siguiente:" />
<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="shortcut icon" href="/themes/contrib/material_base/starterkits/material_compile/favicon.ico" type="image/vnd.microsoft.icon" />
<link rel="revision" href="http://default/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" />

    <title>Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos | Blog de Oskar</title>
    <link rel="stylesheet" media="all" href="/sites/default/files/css/css__-19-pxKmJW8FdKv60zS-6964kg-1-ojDB4_EvBhTBI.css" />
<link rel="stylesheet" media="all" href="/sites/default/files/css/css_NyznZm3NpCaIvk4H9UoR0TjuyZOw0VQyBReYksZbsJM.css" />

    
  </head>
  <body class="one-sidebar sidebar-first navbar-fixed path-node page-node-type-article">
    <a href="#main-content" class="visually-hidden focusable">
      Skip to main content
    </a>
    
      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>
    <div id="page" class="layout-container">

  <div id="navbar">
    
    <!--
    
    
    -->
  </div>

  <div id="drawer-overlay"></div>
  <div id="drawer">
    
  </div>

  <header id="header" role="banner">
    <div id="header-content">
      
    </div>
    <div id="header-bg">
      
    </div>
  </header>

  
  <div id="content">
    
    <main role="main" id="main" class="container">
      <div id="main-content" tabindex="-1">
        <div class="card-holder">
            <div class="region region-breadcrumb">
    <div id="block-material-compile-breadcrumbs">
  
    
        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">
    <h2 class="visually-hidden">Breadcrumb</h2>
    <ol>
          <li>
                  <a href="/">Home</a>
              </li>
        </ol>
  </nav>

  </div>

  </div>

            <div class="region region-highlighted">
    <div data-drupal-messages-fallback class="hidden"></div>

  </div>

          

          <div class="layout-content">
              <div class="region region-content">
    <div id="block-material-compile-page-title--3">
  
    
      
  <h1><span property="schema:name">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</span>
</h1>


  </div>
<div id="block-material-compile-content--3">
  
    
      <article data-history-node-id="13" role="article" about="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" typeof="schema:Article">

  
      <span property="schema:name" content="Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00">Mon, 04/05/2021 - 18:03</span>
          <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><blockquote>
<p><b>CodeSniffer</b> es un script de PHP5 que analiza código <b>PHP</b> para detectar violaciones de un conjunto definido de normas de codificación. Analiza el código fuente para ver si cumple o no con un estándar, ya sea Zend, Pear o uno personalizado.</p>
<cite><a href="http://www.juntadeandalucia.es/servicios/madeja/contenido/recurso/270#:~:text=CodeSniffer%20es%20un%20script%20de,Zend%2C%20Pear%20o%20uno%20personalizado.">Junta de Andalucía</a></cite></blockquote>

<p> </p>

<p><a href="https://github.com/squizlabs/PHP_CodeSniffer">CodeSniffer</a> es una herramienta muy sencilla de usar y con uan instalación muy simple que permitirá mantener los estándares de codificación de nuestros proyectos.<br />
La inslatación es muy sencillo, lo primero comprobamos que tengamos instalado CodeSniffer </p>

<pre>
<code class="language-bash">phpcs -i</code></pre>

<p>Tiene que devolver algo parecido a esta salidad, no exactamente la misma ya que yo ya tengo instalada los estándares de Drupal:</p>

<pre>
<code class="language-bash">The installed coding standards are Zend, PSR1, PSR12, Squiz, PEAR, MySource, PSR2, Drupal, DrupalPractice and VariableAnalysis
</code></pre>

<p>Si no tenemos instalado CodeSniffer lo instalamos:</p>

<pre>
<code class="language-bash">composer require --dev drupal/core-dev</code></pre>

<p>Y comprobamos que ahora si tengamos instalado el CodeSniffer.</p>

<p> </p>

<p>Una vez instalado tenemos que instalar los estándares de código de Drupal:</p>

<pre>
<code class="language-bash">composer require --dev dealerdirect/phpcodesniffer-composer-installer</code></pre>

<p> </p>

<p>Y ya tendríamos instalado lo básico que usar esta herramienta.</p>

<p>Para usar el analizador de CodeSniffer lo ejecutamos de la siguiente manera:</p>

<pre>
<code class="language-bash">phpcs --standard=Drupal --extensions=php,module web/modules/contrib/
</code></pre>

<p> </p>

<p>Con esta orden o nos indica que esta todo bien o nos devolverá un informe como el siguiente:</p>

<pre>
<code>FILE: /var/www/html/web/modules/contrib/devel/devel_generate/src/Commands/DevelGenerateCommands.php
---------------------------------------------------------------------------------------------------------------------------------------------
FOUND 11 ERRORS AND 1 WARNING AFFECTING 12 LINES
---------------------------------------------------------------------------------------------------------------------------------------------
 124 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 133 | ERROR   | [ ] The array declaration extends to column 84 (the limit is 80). The array content should be split up over multiple lines
 145 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 158 | ERROR   | [ ] The array declaration extends to column 195 (the limit is 80). The array content should be split up over multiple lines
 170 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 189 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 214 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 230 | ERROR   | [ ] The array declaration extends to column 230 (the limit is 80). The array content should be split up over multiple lines
 242 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 253 | ERROR   | [ ] The array declaration extends to column 112 (the limit is 80). The array content should be split up over multiple lines
 262 | ERROR   | [ ] Parameter tags must be defined first in a doc comment
 270 | WARNING | [x] Inline @var declarations should use the /** */ delimiters
---------------------------------------------------------------------------------------------------------------------------------------------
PHPCBF CAN FIX THE 1 MARKED SNIFF VIOLATIONS AUTOMATICALLY
---------------------------------------------------------------------------------------------------------------------------------------------
</code></pre>

<p><br />
Ojo, he puesto contrib para analizar algo pero lo normal es solo analizar el código creado por nosotros en el proyecto no el código de la comunidad de Drupal.<br />
<br />
 </p>
</div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/codesniffer" property="schema:about" hreflang="en">CodeSniffer</a></div>
          <div class="field-item"><a href="/tag/drupal-9" property="schema:about" hreflang="en">Drupal 9</a></div>
              </div>
      </div>

  </div>

</article>

  </div>

  </div>

          </div>
        </div>
              </div>
              <aside id="sidebar-first" class="sidebar layout-sidebar-first" role="complementary">
            <div class="region region-sidebar-first">
    <div id="block-presentaciondelblog">
  
    
      
            <div class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Este es mi blog, "el blog de Oskar", Me puedes escribir vía <a href="https://www.linkedin.com/in/oskarcalvo/">Linkedin</a></p>
</div>
      
  </div>
<div class="views-element-container" id="block-views-block-last-10-articles-block-1">
  
      <h2>Últimos artículos</h2>
    
      <div><div class="js-view-dom-id-6243558343cef6cc53fbf9151e16e3940045c3d88e497f6a5eb20abe1137dcbc">
  
  
  

  
  
  

  <div class="item-list">
  
  <ul>

          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" hreflang="en">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-05</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" hreflang="en">Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-20</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-13/ovh-y-lo-inesperado" hreflang="en">OVH y lo inesperado</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-13</span></span></li>
    
  </ul>

</div>

    

  
  

  
  
</div>
</div>

  </div>

  </div>

        </aside>
      
      
    </main>
    
  </div>
  <footer id="footer" role="contentinfo">
    
    <div id="footer-content">
      
    </div>
  </footer>

</div>
  </div>

    
    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\/","scriptPath":null,"pathPrefix":"","currentPath":"node\/13","currentPathIsAdmin":false,"isFront":false,"currentLanguage":"en"},"pluralDelimiter":"\u0003","suppressDeprecationErrors":true,"user":{"uid":0,"permissionsHash":"9b4d8556262e2e38b0af236cf1dbcd3346d83a0d1ed154b46f4ac15d03ce2257"}}</script>
<script src="/sites/default/files/js/js_b7BC_YTtFXAsUEtL5nCoXPJ7aIHnk5fcdkjSQ4XyTbg.js"></script>

  </body>
</html>
